%bcond_without check
# https://pagure.io/koji/issue/659
%global debug_package %{nil}

Name:           rust-packaging
Version:        17
Release:        %mkrel 1
Summary:        RPM macros for building Rust packages on various architectures
%if 0%{?mageia}
Group:          System/Packaging
%endif
License:        MIT
URL:            https://pagure.io/fedora-rust/rust2rpm
Source:         https://pagure.io/fedora-rust/rust2rpm/archive/v16/rust2rpm-v%{version}.tar.gz

ExclusiveArch:  %{rust_arches}

# gawk is needed for stripping dev-deps in macro
Requires:       gawk
Requires:       python3-rust2rpm = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       rust-srpm-macros = %{version}
Requires:       rust
Requires:       cargo >= 1.41

%description
The package provides macros for building projects in Rust
on various architectures.

%package     -n python3-rust2rpm
Summary:        Convert Rust packages to RPM
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  cargo
%endif
Requires:       cargo
Provides:       rust2rpm = %{version}-%{release}
%{?python_provide:%python_provide python3-rust2rpm}

%description -n python3-rust2rpm
%{summary}.

%prep
%autosetup -n rust2rpm-v%{version} -p1

%build
%py3_build

%install
%py3_install
install -D -p -m 0644 -t %{buildroot}%{_rpmmacrodir} data/macros.rust data/macros.cargo
install -D -p -m 0644 -t %{buildroot}%{_fileattrsdir} data/cargo.attr

%if %{with check}
%check
py.test-%{python3_version} -vv test.py
%endif

%files
%license LICENSE
%{_rpmmacrodir}/macros.rust
%{_rpmmacrodir}/macros.cargo
%{_fileattrsdir}/cargo.attr

%files -n python3-rust2rpm
%license LICENSE
%{_bindir}/rust2rpm
%{_bindir}/cargo-inspector
%{python3_sitelib}/rust2rpm-*.egg-info/
%{python3_sitelib}/rust2rpm/


%changelog
* Wed Dec 30 2020 akien <akien> 17-1.mga8
+ Revision: 1665735
- Version 17

* Sun Dec 06 2020 akien <akien> 16-1.mga8
+ Revision: 1653968
- Update to 16

* Fri Oct 23 2020 akien <akien> 15-1.mga8
+ Revision: 1638906
- Update to 15

* Fri Mar 13 2020 akien <akien> 13-1.mga8
+ Revision: 1556066
- Sync with Fedora: Mon Feb 03 2020 Josh Stone <jistone@redhat.com> - 13-3
  o Update to 13
  o Use 'cargo install --no-track' with cargo 1.41

* Sun Feb 16 2020 umeabot <umeabot> 10-3.mga8
+ Revision: 1535886
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 10-2.mga8
+ Revision: 1452941
- rebuild with python 3.8

* Sun Jul 07 2019 akien <akien> 10-1.mga8
+ Revision: 1419255
- Sync with Fedora: Mon Jun 24 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 10-2
  o Update to 10
  o Do not use awk's inplace feature

* Sat May 11 2019 akien <akien> 9-1.mga7
+ Revision: 1397319
- Version 9

* Fri Apr 26 2019 akien <akien> 8-1.mga7
+ Revision: 1395462
- Version 8

* Fri Jan 18 2019 akien <akien> 6-5.mga7
+ Revision: 1357863
- Sync with Fedora: Fri Dec 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6-18

* Wed Jan 09 2019 tv <tv> 6-4.mga7
+ Revision: 1352973
- rebuild with python 3.7

* Fri Dec 07 2018 akien <akien> 6-3.mga7
+ Revision: 1338730
- Sync with Fedora: Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6-17

* Fri Sep 21 2018 umeabot <umeabot> 6-2.mga7
+ Revision: 1291450
- Mageia 7 Mass Rebuild

* Tue Sep 11 2018 akien <akien> 6-1.mga7
+ Revision: 1258320
- Version 6

* Thu Jan 18 2018 akien <akien> 5-1.mga7
+ Revision: 1194478
- Enforce C.UTF-8 locale to fix tests
- Version 5: https://pagure.io/fedora-rust/rust2rpm/releases

* Mon Sep 18 2017 tv <tv> 4-3.mga7
+ Revision: 1155228
- rebuild for new python

* Mon Jul 24 2017 akien <akien> 4-2.mga7
+ Revision: 1130359
- Do not provide old rust-rpm-macros
- Obsolete previous rust-rpm-macros package
- Adapt for Mageia packaging policy
- import rust-packaging from Fedora

